Subject: Re: bug#44128: [feature/native-comp]

From: Andrea Corallo <[email-masked]>
Date: Wed, 14 Apr 2021 13:48:37 +0000

Andrea Corallo <[email-masked]> writes:

> Jonas Bernoulli <[email-masked]> writes:
>
>> Hello Andrea
>
> Hi Jonas!
>
>> [We talked about this briefly on Twitter;
>>  https://twitter.com/magit_emacs/status/1313534891506757635.]
>>
>> When running gccemacs from the git repository without installing but by
>> using a symlink like e.g. /usr/local/bin/emacs -> ~/git/emacs/src/emacs,
>> then that results in an error like:
>>
>>   emacs: /usr/local/bin/../native-lisp/<snip>.eln: cannot open shared
>>   object file: No such file or directory
>>
>> You mentioned that this happens because code in pdump[er].c just relies
>> on invocation-directory and that you are wonder whether symlinks should
>> be followed to address this.
>>
>>   I think they should. :D
>
> Well I agree :)
>
> I believe the only question is if we want to change
> `invocation-directory' to have the link followed or to do that in the
> load mechanism.  I guess the second has less impact.

Hi all,

I think this question got answered by Eli's comment on bug#46790 :)

I've pushed 0c1fc9d581 that seams to work for me, please have a try.

Thanks!

  Andrea